Subject: Re: bug#28182: maybe implement CTRL++ to zoom text

From: Stefan Kangas <[email-masked]>
Date: Tue, 27 Aug 2019 02:40:24 +0200

Juri Linkov <[email-masked]> writes:

> Nice change.

Glad you like it.

> Another variant is to add special symbols to
> the existing customization, e.g.:
>
>   '(5 ((shift) . 1) ((control) . text-scale) ((meta) . nil))
>
> or even support text-scale step number if needed:
>
>   '(5 ((shift) . 1) ((control) . (text-scale . 1)) ((meta) . nil))

I like your idea that this would all be defined in one place.

One nit is that the variable name there is mouse-wheel-scroll-amount,
and I'm not sure this is the best name for functionality to change the
font size.  If we go ahead with that, perhaps it should be renamed to
something like mouse-wheel-scroll-modifiers?

> This is similar to what I proposed with
>
>   '((shift) . (hscroll . 1))
>
> to scroll horizontally like Shift-wheel does in web browsers:
>
> https://lists.gnu.org/archive/html/emacs-devel/2010-10/msg00202.html

Thanks for pointing that out.  AFAICT that was never merged?

> Also please look at discussions for other related requests:
>
> https://lists.gnu.org/archive/html/emacs-devel/2015-05/msg00529.html
> https://lists.gnu.org/archive/html/emacs-devel/2017-03/msg00797.html
> https://lists.gnu.org/archive/html/emacs-devel/2017-09/msg00129.html

Thanks.

Best regards,
Stefan Kangas